package org.q.app.config;

import org.q.toolkit.io.UrlTool;

/**
 * Listing of locations of resources.
 * 
 * @author Erik Lievaart
 */
public class ResourcePaths {

	// Core
	public static final String ENGINE_TEMPLATES = "engine.ini";
	public static final String PLUGIN_CONFIG = "plugins.ini";
	public static final String VARIABLE_CONFIG = "variables.ini";
	public static final String SCRIPT_DIR = "script";
	public static final String APPLICATION_CONFIG_DIR = "res:data/application/";
	public static final String USER_CONFIG_DIR = "res:data/user/";

	// UI scripts
	public static final String UI_M3U = "qOpenM3u";
	public static final String UI_FORMAT = "qFormat";
	public static final String UI_POPUP_SCRIPT = "qPopups";
	public static final String UI_ERROR_SCRIPT = "qErrors";
	public static final String UI_LOCATION_SCRIPT = "qSetLocation";
	public static final String UI_REQUIRES_REFRESH_SCRIPT = "qRequiresRefresh";
	public static final String UI_SHOW_REFRESH_SCRIPT = "qRefresh";
	public static final String UI_TERMINAL_SHOW_SCRIPT = "qShowTerminal";
	public static final String UI_TERMINAL_OUTPUT_SCRIPT = "qTerminalOutput";
	public static final String QUEUE_SHOW_SCRIPT = "qQueueShow";
	public static final String QUEUE_ADD_SCRIPT = "qQueueAdd";
	public static final String QUEUE_DONE_SCRIPT = "qQueueDone";
	public static final String QUEUE_FAILED_SCRIPT = "qQueueFailed";
	public static final String ENGINE_CONTEXT_SCRIPT = "qCreateEngineContext";
	// UI config
	public static final String MIME_TYPES = "ui/local/mime.types.ini";
	public static final String MIME_FALLBACK = "ui/local/mime.fallback.ini";
	public static final String ICON_DIR = "ui/local/icons/mime";
	public static final String DIR_ICON = "ui/local/icons/folder.png";
	public static final String FAVICON = "/data/application/ui/local/icons/favicon.png";
	public static final String ACTIONS = "ui/actions.ini";
	public static final String KEY_BINDINGS = "ui/bindings.ini";
	public static final String MENU_BAR = "ui/menu.xml";
	public static final String COMPONENTS = "ui/components.ini";

	// plugins
	public static final String FIND_START_SCRIPT = "qFindStart";
	public static final String FIND_RESULT_SCRIPT = "qFindComplete";
	public static final String FIND_INCREMENTAL_SCRIPT = "qFindIncremental";
	public static final String PROGRAMMING_LAST_SCRIPT = UrlTool.append(SCRIPT_DIR, "lastScript");
	public static final String VARIOUS_CALCULATE_SCRIPT = "qShowDirSizes";
	public static final String VARIOUS_MATCH_INIT_SCRIPT = "qInitMatches";
	public static final String VARIOUS_MATCH_NEXT_SCRIPT = "qNextMatches";
	public static final String BOOKMARK_SHOW_SCRIPT = "qShowBookmarks";
	public static final String BOOKMARK_STORE = "plugins/bookmark/bookmarks.ini";

	private ResourcePaths() {
	}
}
