package org.q.app.config;

import java.io.File;
import java.io.IOException;

import org.q.app.vfs.UrlResolver;
import org.q.toolkit.lang.Check;

/**
 * Class responsible for loading files specific for the user. This includes settings and custom scripts.
 * 
 * @author Erik Lievaart
 */
public class UserResources extends AbstractResources {

	@Override
	String getResourceDir() {
		try {
			return UrlResolver.resolve(ResourcePaths.USER_CONFIG_DIR).getAbsolutePath();

		} catch (IOException e) {
			File dir = new File("data/user/");
			Check.isTrue(dir.exists() || dir.mkdirs(), "Unable to create %", dir.getAbsolutePath());
			return dir.getAbsolutePath();
		}
	}
}