package org.q.app.engine.convert;

import org.q.toolkit.convert.Converter;
import org.q.toolkit.convert.Converters;
import org.q.toolkit.convert.construct.StringConstructor;

import com.google.inject.Provider;

/**
 * Guice {@link Provider} for {@link Converter}'s of non-collection types.
 * 
 * @author Erik Lievaart
 */
public class BasicConvertersProvider implements Provider<Converters> {

	@Override
	public Converters get() {
		Converter<?> string = new StringConstructor().createConverter();
		Converter<?> fileObject = new FileObjectConstructor().createConverter();
		Converter<?> uri = new URIConstructor().createConverter();
		Converter<?> virtual = new VirtualFileConstructor().createConverter();
		Converter<?> file = new FileConstructor().createConverter();

		return new Converters(string, uri, file, fileObject, virtual);
	}

}
