package org.q.app.engine.convert;

import java.io.File;

import org.q.toolkit.convert.Converter;
import org.q.toolkit.convert.construct.AbstractConstructor;
import org.q.toolkit.convert.validate.RegexValidator;
import org.q.toolkit.io.UrlTool;

class FileConstructor extends AbstractConstructor<File> {

	@Override
	public File constructObject(final String str) {
		String path = str.startsWith("file:") ? UrlTool.getPath(str) : str;
		return new File(UrlTool.unescape(path));
	}

	@Override
	public Converter<File> createConverter() {
		return createConverter(new RegexValidator("(?:file:(?://)?)?/.*+", "Not a normal file: %"));
	}

}
