package org.q.app.engine.impl;

import org.q.app.engine.parse.ShellParser;
import org.q.toolkit.lang.LogTemplate;
import org.q.toolkit.lang.Str;

import com.google.inject.Inject;

class QEngine implements Engine {
	private final LogTemplate log = new LogTemplate(getClass());

	@Inject
	private Plugins plugins;

	@Override
	public void invoke(final String raw) {
		log.trace("QEngine command: %", raw);
		if (raw == null) {
			return;
		}
		try {
			plugins.schedule(ShellParser.parseLine(raw), raw);

		} catch (Exception e) {
			throw new RuntimeException(Str.sub("Exception while invoking: %", raw), e);
		}
	}

}
