package org.q.app.engine.meta;

import java.io.IOException;

import org.q.app.config.ApplicationResources;
import org.q.app.config.ResourcePaths;
import org.q.toolkit.io.RuntimeIOException;

import com.google.inject.Inject;
import com.google.inject.Provider;

class MetadataCollectionProvider implements Provider<MetadataCollection> {

	@Inject
	private ApplicationResources classpath;
	@Inject
	private ShellCommandIntrospector introspector;

	@Override
	public MetadataCollection get() {
		try {
			return introspector.load(classpath.loadIniFile(ResourcePaths.PLUGIN_CONFIG));
		} catch (IOException e) {
			throw new RuntimeIOException("Fatal Error! Unable to read plugins!", e);
		}
	}

}
