package org.q.app.engine.parse;

import org.q.app.general.ObjectOverrides;
import org.q.toolkit.lang.Str;
import org.q.toolkit.lang.concurrent.Immutable;



@Immutable
class Token extends ObjectOverrides {

	private final String value;
	private final TokenType type;
	private final String errorMessage;

	public Token(final String value, final TokenType type) {
		this.type = type;
		this.value = value;

		errorMessage = toString();
	}

	public String getValue() {
		return value;
	}

	public TokenType getType() {
		return type;
	}

	@Override
	public String toString() {
		return type + "{" + Str.quote(value) + "}";
	}

	public String error() {
		return errorMessage;
	}

}
