package org.q.app.ui;

import java.util.Map;

import org.q.app.config.ResourcePaths;
import org.q.app.engine.script.ScriptConfig;
import org.q.app.engine.script.ScriptInvocation;
import org.q.app.engine.script.SwingScript;
import org.q.toolkit.lang.collection.MapTool;

import com.google.inject.Inject;

class UserInteraction {

	@Inject
	private SwingScript events;

	public void alert(final String message) {
		runCode("alert(message);", messageMap(message));
	}

	public String input(final String message) {
		return runCode("input(message);", messageMap(message)).toString();
	}

	public boolean confirm(final String message) {
		return (Boolean) runCode("confirm(message);", messageMap(message));
	}

	private Map<String, String> messageMap(final String message) {
		return MapTool.of("message", message);
	}

	private Object runCode(final String code, final Map<String, ? extends Object> variables) {
		ScriptInvocation invocation = new ScriptInvocation();
		invocation.addResource(ResourcePaths.UI_POPUP_SCRIPT);
		invocation.setCode(code);
		return events.invoke(new ScriptConfig(variables), invocation);
	}

}
