package org.q.app.ui.bind;

import java.awt.Component;

import javax.swing.Action;
import javax.swing.JComponent;
import javax.swing.KeyStroke;

import org.q.toolkit.lang.Check;

class KeyBinding implements Binding {

	private final String actionId;
	private final KeyStroke key;

	KeyBinding(final String actionId, final KeyStroke key) {
		this.actionId = actionId;
		this.key = key;
	}

	@Override
	public String getActionId() {
		return actionId;
	}

	@Override
	public void register(final Component component, final Action action) {
		Check.isInstance(JComponent.class, component);

		JComponent jComponent = (JComponent) component;
		jComponent.getInputMap().put(key, actionId);
		jComponent.getActionMap().put(actionId, action);
	}

}
