package org.q.app.ui.bind;

import org.q.toolkit.convert.Converter;
import org.q.toolkit.convert.Converters;
import org.q.toolkit.convert.construct.StringConstructor;

import com.google.inject.Inject;
import com.google.inject.Provider;

/**
 * Provider for the {@link Converters} used in creating the key bindings.
 * 
 * @author Erik Lievaart
 */
class MenuConvertersProvider implements Provider<Converters> {

	@Inject
	private EngineActionLoader lookupActions;

	@Override
	public Converters get() {
		Converter<?> actions = new EngineActionConstructor(lookupActions).createConverter();
		Converter<?> strings = new StringConstructor().createConverter();
		Converter<?> keyStrokes = new KeyStrokeConstructor().createConverter(new KeyStrokeValidator());
		return new Converters(strings, actions, keyStrokes);
	}

}
