package org.q.app.ui.bind.menu;

import java.awt.Component;

/**
 * Interface for building a structure of {@link Component}'s.
 * 
 * @param <T>
 *            Generic type of the {@link Component}.
 * 
 * @author Erik Lievaart
 */
public interface ComponentBuilder<T extends Component> {

	/**
	 * Add a child to the {@link Component} we are building.
	 */
	public void addChild(ComponentBuilder<?> component);

	/**
	 * Create and return the {@link Component}.
	 */
	public T instance();
}
