package org.q.app.ui.render.icons;

import java.awt.Color;
import java.awt.Component;
import java.awt.Graphics;

/**
 * Draws a colored triangle.
 * 
 * @author Erik Lievaart
 */
public class RunIcon extends QIcon {
	/**
	 * Constructor.
	 * 
	 * @param size
	 *            width and height of the box bounding the icon.
	 * @param color
	 *            Color to use to paint the icon.
	 */
	public RunIcon(final int size, final Color color) {
		super(size, color);
	}

	@Override
	public void paintIcon(final Component c, final Graphics g, final int x, final int y) {
		g.setColor(getColor());
		g.fillPolygon(new int[] { x, x, x + getIconWidth() }, new int[] { y, y + getIconHeight(),
				y + getIconHeight() / 2 }, 3);
	}
}
