package org.q.app.ui.render.icons;

import java.awt.Color;
import java.awt.Component;
import java.awt.Graphics;

/**
 * Draws a colored square.
 * 
 * @author Erik Lievaart
 */
public class StopIcon extends QIcon {

	/**
	 * Constructor.
	 * 
	 * @param size
	 *            width and height of the box bounding the icon.
	 * @param color
	 *            Color to use to paint the icon.
	 */
	public StopIcon(final int size, final Color color) {
		super(size, color);
	}

	@Override
	public void paintIcon(final Component c, final Graphics g, final int x, final int y) {
		g.setColor(getColor());
		g.fillRect(x, y, getIconWidth(), getIconHeight());
	}
}
