package org.q.app.ui.render.label;

import java.awt.Color;
import java.awt.Font;

import javax.swing.JLabel;

/**
 * Utility class for quickly styling a label.
 * 
 * @author Erik Lievaart
 */
public class LabelStyler {

	private LabelStyler() {
	}

	/**
	 * De-emphasize the label.
	 */
	public static void styleSubtle(final JLabel label) {
		label.setFont(label.getFont().deriveFont(Font.PLAIN));
		label.setForeground(Color.GRAY);
	}

	/**
	 * Emphasize the label, and style it such that clearly an error occured.
	 */
	public static void styleError(final JLabel label) {
		label.setFont(label.getFont().deriveFont(Font.BOLD));
		label.setForeground(Color.decode("#AA0000"));
	}
}
