package org.q.app.ui.render.rename;

import java.awt.Color;

import javax.swing.JTextField;

import org.q.app.ui.render.list.ColorFactory;
import org.q.toolkit.lang.pattern.PatternTool;

/**
 * Returns the color for lines on the terminal.
 * 
 * @author Erik Lievaart
 */
public class RegexColorFactory implements ColorFactory {

	private final JTextField source;

	public RegexColorFactory(final JTextField source) {
		this.source = source;
	}

	/**
	 * Colors items black if they match the regex, gray otherwise.
	 * 
	 * @param object
	 *            Anything with a valid toString();
	 */
	@Override
	public Color getColor(final Object object) {
		String regex = source.getText();
		return PatternTool.isCompilable(regex) && object.toString().matches(regex) ? Color.BLACK : Color.GRAY;
	}
}
