package org.q.app.ui.render.terminal;

import java.awt.Color;

import org.q.app.general.DetailMessage;
import org.q.app.general.ValueHolder;
import org.q.app.ui.render.list.ColorFactory;

/**
 * Returns the color for lines on the terminal.
 * 
 * @author Erik Lievaart
 */
public class TerminalColorFactory implements ColorFactory {

	/**
	 * Colors error messages {@link Color#RED} and other messages {@link Color#DARK_GRAY}.
	 * 
	 * @param object
	 *            Must be a {@link ValueHolder} with a contained {@link DetailMessage}. Neither is allowed to be null.
	 */
	@Override
	public Color getColor(final Object object) {
		ValueHolder holder = (ValueHolder) object;
		DetailMessage content = (DetailMessage) holder.getContent();
		return content.isError() ? Color.RED : Color.DARK_GRAY;
	}
}
