package org.q.plugins.ant;

import java.io.File;
import java.util.Hashtable;
import java.util.Map;

import org.apache.commons.lang3.StringUtils;
import org.q.toolkit.lang.Check;

class UnpackTargets {

	private static final Map<String, String> MAPPING;

	static {
		MAPPING = new Hashtable<String, String>();
		MAPPING.put("zip", "q.unzip");
		MAPPING.put("jar", "q.unzip");
	}

	private UnpackTargets() {
	}

	static String getTarget(final File file) {
		String ext = StringUtils.substringAfterLast(file.getName(), ".");
		Check.isTrue(MAPPING.containsKey(ext), "Unknown archive extension %, supported%", ext, MAPPING.keySet());
		return MAPPING.get(ext);
	}

}
