package org.q.plugins.open;

import java.util.List;

import org.q.app.vfs.VirtualFile;
import org.q.toolkit.io.UrlTool;
import org.q.toolkit.lang.collection.NewCollection;

class M3u {

	private M3u() {
	}

	static List<VirtualFile> parse(final VirtualFile parent, final String contents) {
		List<VirtualFile> result = NewCollection.list();

		String[] lines = contents.split("\n");
		for (String line : lines) {
			if (!line.startsWith("#")) { // skip comments
				String fixed = UrlTool.escape(line.trim());
				VirtualFile child = parent.resolveFile(fixed);
				result.add(child);
			}
		}
		return result;
	}
}
