package org.q.toolkit.lang;

public class StrCheck {

	public static void contains(String test, CharSequence expected) {
		Check.isTrue(test.contains(expected), "% does not contain %", test, expected);
	}

	public static void containsIgnoreCase(String test, String expected) {
		Check.isTrue(test.toLowerCase().contains(expected.toLowerCase()), "% does not contain %", test, expected);
	}

	public static void isEmptyString(String test) {
		Check.isTrue("".equals(test), "% is not an empty string literal", test);
	}

	public static void isEqual(String test, String expected) {
		Check.isEqual(test, expected);
	}

	public static void isBlank(String test) {
		Check.isTrue(Str.isBlank(test), "% not blank", test);
	}

	public static void notContainsIgnoreCase(String test, String notExpected) {
		Check.notNull(test, notExpected);
		Check.isFalse(test.toLowerCase().contains(notExpected.toLowerCase()), "% contains %", test, notExpected);
	}

	public static void notBlank(String fallback) {
		if (Str.isBlank(fallback)) {
			throw new AssertionException("argument is blank");
		}
	}
}
