package org.q.toolkit.lang.image;

import java.awt.image.BufferedImage;
import java.util.List;

public class BufferedImageTool {

	private BufferedImageTool() {
	}

	public static BufferedImage paintLayers(int width, int height, List<BufferedImage> layers) {
		BufferedImage combined = new BufferedImage(width, height, BufferedImage.TYPE_INT_ARGB);
		BoundedGraphics g = new BoundedGraphics(new Bounds(0, 0, width, height), combined.getGraphics());

		for (BufferedImage layer : layers) {
			g.drawImageCentered(layer);
		}
		return combined;
	}

	public static BufferedImage rescale(BufferedImage source, int x, int y, int width, int height) {
		BufferedImage image = new BufferedImage(width, height, BufferedImage.TYPE_INT_ARGB);
		image.getGraphics().drawImage(source, x, y, width, height, null);
		return image;
	}

}
