package org.q.toolkit.reflect.string;

import java.lang.reflect.Field;

import org.q.toolkit.reflect.FieldTool;
import org.q.toolkit.reflect.LiteralTool;

public class ReflectionRepresentation {

	private final String literalName;
	private final String memberName;

	public ReflectionRepresentation(String literalName, String memberName) {
		this.literalName = literalName;
		this.memberName = memberName;
	}

	public String getMemberName() {
		return memberName;
	}

	public String getLiteralName() {
		return literalName;
	}

	public Class<?> getLiteral() {
		return LiteralTool.getLiteral(literalName);
	}

	public Field getField() {
		return FieldTool.getField(literalName, memberName);
	}

}
