package org.q.toolkit.test;

import java.io.File;

import org.apache.commons.lang3.StringUtils;
import org.q.toolkit.lang.Check;
import org.q.toolkit.lang.Str;
import org.q.toolkit.lang.StrCheck;

public class AntProperty {

	private String property;
	private final String name;

	public AntProperty(String name) {
		this.name = name;
		property = System.getProperty(name);
	}

	public String getString() {
		check();
		return property;
	}

	public File getDirectory() {
		File file = new File(getString());
		Check.isTrue(file.isDirectory(), "% is not a directory: %", name, getString());
		return file;
	}

	public File getDirectoryOrFallbackOn(String fallback) {
		StrCheck.notBlank(fallback);

		if (StringUtils.isBlank(property)) {
			File local = new File(fallback);
			Check.isTrue(local.isDirectory(), "% is not a directory", fallback);
			return local;
		}
		return getDirectory();
	}

	private void check() {
		Check.notBlank(property, Str.sub("property % not set", name));
	}

	public boolean isSet() {
		return Str.notBlank(property);
	}

}
