package org.q.toolkit.test;

import java.util.List;

import org.q.toolkit.lang.AssertionException;
import org.q.toolkit.lang.Check;
import org.q.toolkit.lang.FormattedException;

public class BombSquad {

	public static void diffuseException(Class<? extends Throwable> expected, String message, Bomb bomb) {
		try {
			bomb.explode();
			throw new Error("No exception thrown, expecting: " + expected);

		} catch (Exception e) {
			if (!expected.isInstance(e)) {
				throw new FormattedException("% not instanceof %; $", e, e.getClass(), expected, e.getMessage());
			}
			if (!e.getMessage().toLowerCase().contains(message.toLowerCase())) {
				throw new FormattedException("message % does not contain %", e, e.getMessage(), message);
			}
		}
	}

	public static void diffuseException(Class<? extends Throwable> expected, List<String> messages, Bomb bomb) {
		try {
			bomb.explode();
			throw new AssertionException("% expected", expected);

		} catch (Exception e) {
			Check.isInstance(expected, e);
			for (String message : messages) {
				Check.isTrue(e.getMessage().contains(message), "message % does not contain %", e.getMessage(), message);
			}
		}
	}

}
